package cn.iocoder.yudao.module.order.convert.orderItemPackLog;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderItemPackLog.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderItemPackLog.OrderItemPackLogDO;

/**
 * 入仓项打包纪录 Convert
 * @author yanghao
 */
@Mapper
public interface OrderItemPackLogConvert {
    /*****转换MapStruct*****/
    OrderItemPackLogConvert INSTANCE = Mappers.getMapper(OrderItemPackLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderItemPackLogDO convert(OrderItemPackLogCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderItemPackLogDO convert(OrderItemPackLogUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderItemPackLogBackVO convert(OrderItemPackLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderItemPackLogBackVO> convertList(List<OrderItemPackLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderItemPackLogBackVO> convertPage(PageResult<OrderItemPackLogDO> page);
}
