package cn.iocoder.yudao.module.order.dal.dataobject.orderConsignor;

import lombok.*;

import java.util.*;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import org.apache.commons.lang3.StringUtils;

/**
 * 订单发货人信息 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_consignor")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderConsignorDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 下单用户id
     */
    private Long relationId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 发货人姓名
     */
    private String name;
    /**
     * 发货人姓名(英文)
     */
    private String nameEn;
    /**
     * 手机
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 公司
     */
    private String company;
    /**
     * 公司(英文)
     */
    private String companyEn;
    /**
     * 购物车id
     */
    private Long cartId;
    /**
     * 国家简称
     */
    private String countryAbbreviation;
    /**
     * 国家区号
     */
    private String countryCode;
    /**
     *
     */
    private Long customerId;
    /**
     * 客户编号
     */
    private String customerNumber;
    /**
     *
     */
    private Long customerContactsId;
    /**
     * 控货权是否转移 0否 1是
     */
    private Boolean isDevolve;

    public void setCountryCode(String countryCode) {
        if (StringUtils.isNotBlank(countryCode)) {
            this.countryCode = countryCode.replace("+", "");
        } else {
            this.countryCode = countryCode;
        }
    }

}
