package cn.iocoder.yudao.module.order.vo.orderWarehouseIn;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
@ToString
@EqualsAndHashCode
@ApiModel("管理后台 - 完成备货请求 Request VO")
public class OrderItemFinishStockedReqVO {

    @ApiModelProperty(value = "订单id", required = true)
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    /**
     * 入仓体积
     */
    @ApiModelProperty(value = "完成备货总体积", required = true)
    @NotNull(message = "总体积不能为空")
    private BigDecimal sumVolume;
    /**
     * 入仓重量
     */
    @ApiModelProperty(value = "完成备货总重量", required = true)
    @NotNull(message = "总重量不能为空")
    private BigDecimal sumWeight;


    @ApiModelProperty(value = "转异-异常类型 eg:1,2,3")
    private String manualExceptionType;

    @ApiModelProperty(value = "转异-描述中文")
    private String descZh;

    @ApiModelProperty(value = "转异-描述英文")
    private String descEn;

    @ApiModelProperty(value = "转异-描述法文")
    private String descFr;

    @ApiModelProperty(value = "转异-影像列表")
    private List<String> exceptionUrls;



}
